drop view if exists ViewUnit;
create view ViewUnit
as
select
  Unit.idUnit as idUnit,
  Unit.idBranch as idBranch,
  Branch.Name as BranchName,
  Unit.Name as UnitName,
  concat(Unit.Name, " (", Branch.Name, ")") as ViewName
from Unit
left join Branch on Branch.idBranch = Unit.idBranch;
